Skip to navigation

Retrieve image

Retrieves the JSON description or the binary of the original image for the specified image_id.

NOTE: Default is to return the binary of the original image. Use the Accept header to specify application/json to return the JSON description of the image instead.

Authentication

AuthorizationBearer
Bearer token authentication. Tokens can be generated from the user account. Privileges needed may vary.
OR
Authorizationstring

A string representation of JWT containing at least two parameters:

ctx.user_id — user’s id

ctx.account_id — user’s default account id ctx.account_uid — user’s default account uid The usage of account_(u)id from JWT is discouraged, user can have access to multiple accounts, every endpoint has to be account aware if it’s needed.

This JWT must be signed by the appropriate authority.

Path parameters

image_idstringRequired
Unique ID for the image to retrieve.

Response

OK
idstringOptional
Unique ID for the image.
srcstringOptional
URL for the image.
file_namestringOptional

File name for the image (specified when image is created).

widthintegerOptional
Width of the image in pixels.
heightintegerOptional
Height of the image in pixels.
media_typeenumOptional
The MIME type of the image.
Allowed values:
has_alphabooleanOptional

True if image has alpha channel (some degree of transparency). Otherwise, false.

avg_colorstringOptional
Average color of the image in hexadecimal format.